Last Comment Bug 326530 - Validation chokes on empty xsd:date instance data
: Validation chokes on empty xsd:date instance data
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core
Classification: Components
Component: Web Services (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on:
Blocks: 331209
  Show dependency treegraph
 
Reported: 2006-02-09 04:45 PST by Allan Beaufour
Modified: 2007-01-11 16:13 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase (1.60 KB, application/xhtml+xml)
2006-02-09 04:47 PST, Allan Beaufour
no flags Details
Patch (907 bytes, patch)
2006-05-22 04:45 PDT, Allan Beaufour
doronr: review+
Details | Diff | Review

Description Allan Beaufour 2006-02-09 04:45:34 PST
Something goes wrong in the validation of empty instance data with type "xsd:date". The following assertion appears:
###!!! ASSERTION: |First()| called on an empty string: 'mLength > 0', file ../../../dist/include/string/nsTSubstring.h, line 201
Comment 1 Allan Beaufour 2006-02-09 04:47:23 PST
Created attachment 211252 [details]
Testcase

On load I get:
nsXFormsModelElement::Rebuild()
nsXFormsModelElement::Recalculate()
nsXFormsModelElement::Revalidate()
###!!! ASSERTION: |First()| called on an empty string: 'mLength > 0', file ../../../dist/include/string/nsTSubstring.h, line 201
Break: at file ../../../dist/include/string/nsTSubstring.h, line 201
nsXFormsModelElement::InitializeControls()

And on clicking submit (wihout entering anything in the field):
nsXFormsModelElement::Recalculate()
nsXFormsModelElement::Revalidate()
###!!! ASSERTION: |First()| called on an empty string: 'mLength > 0', file ../../../dist/include/string/nsTSubstring.h, line 201
Break: at file ../../../dist/include/string/nsTSubstring.h, line 201
WARNING: NS_ENSURE_TRUE(principal) failed, file nsDocument.cpp, line 1279
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file nsXFormsSubmissionElement.cpp, line 1321
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file nsXFormsSubmissionElement.cpp, line 1179
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file nsXFormsSubmissionElement.cpp, line 862
WARNING: NS_ENSURE_TRUE(NS_SUCCEEDED(rv)) failed, file nsXFormsSubmissionElement.cpp, line 652
Comment 2 aaronr 2006-02-10 14:02:31 PST
sounds like debugging it, at least, should be straight forward.  Reassigning to Barry.
Comment 3 Allan Beaufour 2006-05-22 04:45:43 PDT
Created attachment 222846 [details] [diff] [review]
Patch
Comment 4 Allan Beaufour 2006-05-22 07:47:14 PDT
Fixed on trunk

Note You need to log in before you can comment on or make changes to this bug.